> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Conversation Events

> Search / List local events



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/conversations/{conversation_id}/events/search
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/conversations/{conversation_id}/events/search:
    get:
      tags:
        - Events
      summary: Search Conversation Events
      description: Search / List local events
      operationId: >-
        search_conversation_events_api_conversations__conversation_id__events_search_get
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            format: uuid
            title: Conversation Id
            type: string
        - in: query
          name: page_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional next_page_id from the previously returned page
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            exclusiveMinimum: 0
            maximum: 100
            title: The max number of results in the page
            type: integer
        - in: query
          name: kind
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: >-
              Optional filter by event kind/type (e.g., ActionEvent,
              MessageEvent)
        - in: query
          name: source
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional filter by event source (e.g., agent, user, environment)
        - in: query
          name: body
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Optional filter by message content (case-insensitive)
        - in: query
          name: sort_order
          required: false
          schema:
            $ref: '#/components/schemas/EventSortOrder'
            default: TIMESTAMP
            title: Sort order for events
        - in: query
          name: timestamp__gte
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: 'Filter: event timestamp >= this datetime'
        - in: query
          name: timestamp__lt
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: 'Filter: event timestamp < this datetime'
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '404':
          description: Conversation not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    EventSortOrder:
      description: Enum for event sorting options.
      enum:
        - TIMESTAMP
        - TIMESTAMP_DESC
      title: EventSortOrder
      type: string
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.